<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="3.16"/>
  <template class="GtdTaskRow" parent="GtkListBoxRow">
    <property name="hexpand">true</property>
    <child>
      <object class="GtkEventControllerKey">
        <property name="propagation-phase">capture</property>
        <signal name="key-pressed" handler="on_key_pressed_cb" object="GtdTaskRow" swapped="no"/>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="main_box">
        <property name="orientation">vertical</property>
        <child>
          <object class="GtkBox" id="content_box">
            <property name="orientation">vertical</property>
            <child>
              <object class="GtkBox">
                <property name="margin-end">6</property>
                <property name="margin-start">5</property>
                <property name="margin-top">5</property>
                <property name="margin-bottom">5</property>
                <property name="height-request">32</property>
                <property name="spacing">6</property>
                <child>
                  <object class="GtkBox" id="dnd_box"/>
                </child>
                <child>
                  <object class="GtkImage" id="dnd_icon">
                    <property name="icon-name">drag-handle-symbolic</property>
                    <property name="pixel-size">16</property>
                    <child>
                      <object class="GtkGestureClick">
                        <property name="propagation-phase">capture</property>
                        <signal name="pressed" handler="on_button_press_event_cb" object="GtdTaskRow" swapped="no"/>
                      </object>
                    </child>
                    <style>
                      <class name="dim-label"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkCheckButton" id="done_check">
                    <property name="can_focus">1</property>
                    <property name="halign">center</property>
                    <property name="valign">center</property>
                    <property name="vexpand">1</property>
                    <property name="margin-start">6</property>
                    <signal name="toggled" handler="on_complete_check_toggled_cb" object="GtdTaskRow" swapped="no"/>
                  </object>
                </child>
                <child>
                  <object class="GtkBox" id="header_event_box">
                    <property name="spacing">12</property>
                    <child>
                      <object class="GtkGestureClick">
                        <property name="propagation-phase">capture</property>
                        <signal name="pressed" handler="on_button_press_event_cb" object="GtdTaskRow" swapped="no"/>
                      </object>
                    </child>
                    <child>
                      <object class="GtkBox">
                        <property name="hexpand">1</property>
                        <child>
                          <object class="GtkText" id="title_entry">
                            <property name="width-chars">5</property>
                            <property name="max-width-chars">72</property>
                            <property name="propagate-text-width">1</property>
                            <signal name="activate" handler="on_task_changed_cb" object="GtdTaskRow" swapped="yes"/>
                            <signal name="notify::text" handler="on_task_changed_cb" object="GtdTaskRow" swapped="yes"/>
                            <style>
                              <class name="title"/>
                            </style>
                          </object>
                        </child>
                      </object>
                    </child>
                    <child>
                      <object class="GtkLabel" id="task_date_label">
                        <property name="xalign">1.0</property>
                        <style>
                          <class name="dim-label"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkLabel" id="task_list_label">
                        <property name="visible">0</property>
                        <property name="xalign">1.0</property>
                        <property name="max_width_chars">18</property>
                        <property name="ellipsize">middle</property>
                        <style>
                          <class name="dim-label"/>
                        </style>
                      </object>
                    </child>

                    <!-- Star Widget -->
                    <child>
                      <object class="GtkBox">
                        <property name="margin-start">6</property>
                        <child>
                          <object class="GtdStarWidget" id="star_widget">
                          </object>
                        </child>
                      </object>
                    </child>

                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="GtkRevealer" id="edit_panel_revealer">
                <property name="transition_type">slide-up</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </template>
</interface>
